package helloworlddsl

import groovy.xml.MarkupBuilder;



public class TestClass {
	def hello() {
		return "test";
	}
}

public class RewriteRule {
	private String id;
	private condition;
	private operation;
	
	public RewriteRule(String id) {
		this.id = id;
	}	
	
	static def addRule() {
		return new RewriteRule();
	}
	
	def when(condition) {
		this.condition = condition;
		return this;
	}
	
	def perform(operation) {
		this.operation = operation;
		return this;
	}
	
	def doIt() {
		if (this.condition()) {
			operation();
		}
	}
}

